=== debian/changelog ===
vnc (3.3.7-14) unstable; urgency=medium

  * Readded missing vncauth.h file to libvncauth-dev package.
    Closes: #404964, with help from Alex de Oliveira Silva <enerv@host.sk>.

 -- Ola Lundqvist <opal@debian.org>  Sat, 30 Dec 2006 12:44:18 +0100

vnc (3.3.7-13) unstable; urgency=low

  * Correction of default font path, closes: #229645, #365594, #370701.
  * Changed default config dir to correct problem with
    SecurityPolicy file.

 -- Ola Lundqvist <opal@debian.org>  Wed,  9 Aug 2006 08:28:11 +0200

vnc (3.3.7-12) unstable; urgency=low

  * Correction for rgb path and font paths.

 -- Ola Lundqvist <opal@debian.org>  Thu, 27 Apr 2006 07:08:02 +0200

vnc (3.3.7-11) unstable; urgency=low

  * Applied patch from josmithi@web.de to allow xvncviewer to use the
    MIT Shared Memory Extension, closes: #362819.
  * RGB path correction.
  * Run Xrealvnc instead of Xvnc.

 -- Ola Lundqvist <opal@debian.org>  Fri, 21 Apr 2006 21:11:01 +0200

vnc (3.3.7-10) unstable; urgency=low

  * Merged patch from Peter Cordes <peter@cordes.ca> (for
    tightvncserver) to make it possible to use with xorg version 7.0.

 -- Ola Lundqvist <opal@debian.org>  Wed, 19 Apr 2006 21:42:36 +0200

vnc (3.3.7-9) unstable; urgency=low

  * Changed dependency from xserver-common to x11-common,
    closes: #362867.
  * Changed to debhelper 4 compatibility.

 -- Ola Lundqvist <opal@debian.org>  Mon, 17 Apr 2006 14:44:17 +0200

vnc (3.3.7-8) unstable; urgency=low

  * Applied patch from Markus Gutschke
    <markus+debian@debian.gutschke.com> to allow the listen option to
    work properly if a font is not found, closes: #335441.
  * Changed to new FSF address in debian/copyright.
  * Updated standards version to 3.6.2.
  * Package reupload needed because of gcc-4.0 transition, closes: #333256.
  * Fixed spelling error on package description of libvncauth-dev,
    closes: #276358.
  * Correction of README.inetd as Xvnc have changed place, closes: #287181.
    Also change name from Xvnc to Xrealvnc.
  * Now referring to vnc4 in package description, closes: #284502.

 -- Ola Lundqvist <opal@debian.org>  Sat,  5 Nov 2005 21:08:02 +0100

vnc (3.3.7-7) unstable; urgency=medium

  * Applied patch from Andreas Jochens <aj@andaco.de> so that vnc can
    compile with gcc 3.4, closes: #273152.

 -- Ola Lundqvist <opal@debian.org>  Sat, 25 Sep 2004 21:06:47 +0200

vnc (3.3.7-6) unstable; urgency=medium

  * Fixed vncpasswd error in prerm of vnc-common.

 -- Ola Lundqvist <opal@debian.org>  Thu, 16 Sep 2004 08:32:22 +0200

vnc (3.3.7-5) unstable; urgency=medium

  * Fixed segfault problem, thanks to Jayen Ashar
    <jashar@picard.res.cmu.edu> for helping me to determine where the
    problem is, closes: #214803.

 -- Ola Lundqvist <opal@debian.org>  Wed, 18 Aug 2004 15:20:40 +0200

vnc (3.3.7-4) unstable; urgency=low

  * Problems with ipv6 support and vncserver. Applying patch from
    'J.H.M. Dassen (Ray)' <fsmla@xinara.org> that make it revert to ipv4
    if ipv6 do not work, closes: #265674.
    Had to modify it some in order to make it compile and also to make
    it work (probably) if AF_INET6 is not defined.

 -- Ola Lundqvist <opal@debian.org>  Sat, 14 Aug 2004 19:11:39 +0200

vnc (3.3.7-3) unstable; urgency=low

  * Applied patch with ipv6 support, closes: #182085. Thanks to Robert
    Bihlmeyer <robbe@orcus.priv.at> for that patch.
  * Applied patch for vncserver manpage, closes: #208781.
    Thanks to Martin Pool <mbp@sourcefrog.net>.
  * Fix cutbuffer bug, closes: #214208.
    Thanks to Jayen Ashar <jashar@picard.res.cmu.edu> for the workaround.
  * Fixed so that /usr/share/man/man1/vncpasswd.real.1x.gz will not be a
    dangling symlink, closes: #264748.
  * Fixed so that it do not hog 100% cpu when xfs is restarted,
    closes: #176562.
    Thanks to Martin Koegler <e9925248@stud4.tuwien.ac.at> for the patch.
  * Added -once and -startup option, closes: #222644.
    Thanks to Steve Fosdick <dbugs@pelvoux.nildram.co.uk> for the patch.

 -- Ola Lundqvist <opal@debian.org>  Fri, 13 Aug 2004 09:38:32 +0200

vnc (3.3.7-2) unstable; urgency=low

  * Made vncpasswd using update-alternatives, in order to comply with
    vnc4-common.
  * Applied patch from Andreas Jochens <aj@andaco.de> to add amd64
    support, closes: #254783.
  * Fixed Xvnc manpage issue with update-alternatives,
    closes: #227570, #244311. Thanks to Laurent.Bonnaud@inpg.fr for the fix.
  * Applied patch from Roderick Schertler <roderick@argon.org> that fix
    a path issue in vncpasswd, closes: #231282.
  * Updated standards version to 3.6.1.

 -- Ola Lundqvist <opal@debian.org>  Sun,  8 Aug 2004 21:28:16 +0200

vnc (3.3.7-1) unstable; urgency=low

  * New upstream version, closes: #199745.
  * Fixed description so it is not so confusing about xserver,
    closes: #192584.
  * Fixed wrong display using patch from:
    closes: #195376, #171697, #174463.
  * Added dependency on perl-modules in vnc-common, closes: #182002.

 -- Ola Lundqvist <opal@debian.org>  Fri, 18 Jul 2003 16:23:55 +0200

vnc (3.3.6-4) unstable; urgency=low

  * Important security update regarding X cookies.
  * Fixed menu issue, closes: #174522.

 -- Ola Lundqvist <opal@debian.org>  Mon, 27 Jan 2003 10:30:05 +0100

vnc (3.3.6-3) unstable; urgency=low

  * Added patch from William Thompson <wt@electro-mechanical.com> that
    outputs an passwd dialog if no atty, closes: #145565, #173355.
  * Added patch from Martin Koegler <e9925248@stud4.tuwien.ac.at> that
    fixes font path issues, closes: #161358.

 -- Ola Lundqvist <opal@debian.org>  Thu, 19 Dec 2002 08:49:26 +0100

vnc (3.3.6-2) unstable; urgency=low

  * Fix to make sure that the right server is started if tightvncserver
    is installed used as the alternative.
  * Xvnc now has a separate alternative.

 -- Ola Lundqvist <opal@debian.org>  Wed, 11 Dec 2002 15:16:23 +0100

vnc (3.3.6-1) unstable; urgency=low

  * New upstream version.
  * Removed some references to tightvnc from copyright.

