=== debian/control ===
Source: vnc
Section: x11
Priority: optional
Maintainer: Ola Lundqvist <opal@debian.org>
Standards-Version: 3.6.2
Build-Depends: debhelper (>> 4.0.0), lynx, zlib1g-dev, xutils, libxaw7-dev (>> 4.1.0), perl-modules, xfonts-base

Package: vnc-common
Architecture: any
Conflicts: vnc, vnc-doc, vncserver (<< 3.3.6-1)
Pre-Depends: dpkg (>= 1.6.8)
Depends: ${shlibs:Depends}, ${perl:Depends}
Suggests: xvncviewer|vncviewer, vncserver
Description: Virtual network computing server software
 VNC stands for Virtual Network Computing. It is, in essence, a remote
 display system which allows you to view a computing `desktop' environment
 not only on the machine where it is running, but from anywhere on the
 Internet and from a wide variety of machine architectures.
 .
 It is implemented in a client/server model. This package provides common
 utilities for the server and client packages.

Package: vncserver
Architecture: any
Provides: xserver, vnc-server
Conflicts: vnc, vnc-doc
Replaces: vnc, vnc-doc
Pre-Depends: dpkg (>= 1.6.8)
Depends: ${shlibs:Depends}, ${perl:Depends}, xbase-clients, x11-common | xserver-common, vnc-common (>= 3.3.6-1)
Recommends: xfonts-base
Suggests: vnc-java
Description: Virtual network computing server software
 VNC stands for Virtual Network Computing. It is, in essence, a remote
 display system which allows you to view a computing `desktop' environment
 not only on the machine where it is running, but from anywhere on the
 Internet and from a wide variety of machine architectures.
 .
 This package provides a server to which X clients can connect and the
 server generates a display that can be viewed with a vncviewer.
 .
 Note1: This server does not support or need a display. You need a vncviewer to
 see something. However, this viewer may also be on a computer running other
 operating systems in the local net.
 .
 Note2: A new version of vnc and is available in the vnc4server package.
 This package exist because of backward compatibility.

Package: xvncviewer
Architecture: any
Provides: vnc-viewer
Conflicts: vnc, vnc-doc
Replaces: vnc, vnc-doc
Pre-Depends: dpkg (>= 1.6.8)
Depends: ${shlibs:Depends}, vnc-common
Recommends: xfonts-base
Suggests: vncserver, ssh
Description: Virtual network computing client software for X
 VNC stands for Virtual Network Computing. It is, in essence, a remote
 display system which allows you to view a computing `desktop' environment
 not only on the machine where it is running, but from anywhere on the
 Internet and from a wide variety of machine architectures.
 .
 It is implemented in a client/server model. This package provides a client
 for X, with this you can connect to a vncserver somewhere in the network
 and display its content in a window. There are vncserver available for X
 and for Win95/NT.
 .
 This package is an enhanced version of VNC including the tunneling option from
 TightVNC.
 .
 Note: A new version of vnc and is available in the xvnc4viewer package. This
 package exist because of backward compatibility.

Package: libvncauth0
Architecture: any
Section: libs
Conflicts: vnc, vnc-doc
Pre-Depends: dpkg (>= 1.6.8)
Depends: ${shlibs:Depends} 
Suggests: vncviewer
Description: Virtual network computing authentication library
 VNC stands for Virtual Network Computing. It is, in essence, a remote
 display system which allows you to view a computing `desktop' environment
 not only on the machine where it is running, but from anywhere on the
 Internet and from a wide variety of machine architectures.
 .
 It is implemented in a client/server model. This package provides the library
 to handle client authentication.

Package: libvncauth-dev
Architecture: any
Section: libdevel
Conflicts: vnc, vnc-doc
Pre-Depends: dpkg (>= 1.6.8)
Depends: libvncauth0 (= ${Source-Version})
Description: Virtual network computing authentication headers and static lib
 VNC stands for Virtual Network Computing. It is, in essence, a remote
 display system which allows you to view a computing `desktop' environment
 not only on the machine where it is running, but from anywhere on the
 Internet and from a wide variety of machine architectures.
 .
 It is implemented in a client/server model. This package provides the headers
 and static library to handle client authentication.
