=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--localstatedir=/var \
		--with-installed-zlib \
		--with-x

build-arch:  config.status build-arch-stamp
build-arch-stamp:
	dh_testdir

	# Add here command to compile/build the package.
	# Build first things.
	$(MAKE)
	# Build Xvnc
	#xmkmf
	(cd Xvnc; $(MAKE) World)

	lynx -dump debian/faq.html   | sed 's,file://.*/,,' > debian/faq.txt
	lynx -dump debian/start.html | sed 's,file://.*/,,' > debian/start.txt

	touch build-arch-stamp

build-indep: config.status  build-indep-stamp
build-indep-stamp:
	dh_testdir

	# Add here command to compile/build the arch indep package.
	# It's ok not to do anything here, if you don't need to build
	#  anything for this package.
	#/usr/bin/docbook-to-man debian/vnc.sgml > vnc.1

	touch build-indep-stamp

build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp 
	rm -f debian/faq.txt debian/start.txt

	# Add here commands to clean up after the build process.
	-rm -f config.log config.status config.cache config.guess config.sub
	-$(MAKE) distclean
	-$(MAKE) clean
	-test -r /usr/share/misc/config.sub && \
	  cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	  cp -f /usr/share/misc/config.guess config.guess

	#cd Xvnc; xmkmf
	-cd Xvnc && $(MAKE) clean

	-find . -type f -a -name Makefile -a ! -path '*Xvnc/Makefile' \
		-exec rm -f '{}' ';'
	-rmdir Xvnc/exports

	dh_clean Xvnc/xmakefile \
		Xvnc/config/cf/host.def \
		Xvnc/config/imake/Makefile.proto

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/vnc.
	#$(MAKE) install prefix=$(CURDIR)/debian/vnc/usr
#	mkdir -p $(CURDIR)/debian/tmp
#	./vncinstall $(CURDIR)/debian/tmp/
# vnc-common
	install -o root -g root -m 755 vncpasswd/vncpasswd \
		$(CURDIR)/debian/vnc-common/usr/bin/realvncpasswd.real
	install -o root -g root -m 755 debian/vncpasswd.wrapper \
		$(CURDIR)/debian/vnc-common/usr/bin/realvncpasswd
	install -o root -g root -m 644 debian/vncpasswd.1x \
		$(CURDIR)/debian/vnc-common/usr/share/man/man1/realvncpasswd.1
	install -o root -g root -m 644 debian/vnc.conf.5x \
		$(CURDIR)/debian/vnc-common/usr/share/man/man5/vnc.conf.5x
	install -o root -g root -m 644 debian/vnc.conf \
		$(CURDIR)/debian/vnc-common/etc/vnc.conf

# vncserver
	install -o root -g root -m 755 Xvnc/programs/Xserver/Xvnc \
		$(CURDIR)/debian/vncserver/usr/bin/Xrealvnc
	install -o root -g root -m 755 vncserver \
		$(CURDIR)/debian/vncserver/usr/bin/realvncserver
	install -o root -g root -m 755 vncconnect/vncconnect \
		$(CURDIR)/debian/vncserver/usr/bin/realvncconnect

	install -o root -g root -m 644 debian/vncserver.1x \
		$(CURDIR)/debian/vncserver/usr/share/man/man1/realvncserver.1x
	install -o root -g root -m 644 vncconnect/vncconnect.man \
		$(CURDIR)/debian/vncserver/usr/share/man/man1/realvncconnect.1
#	install -o root -g root -m 644 debian/Xvnc.1x \
#		$(CURDIR)/debian/vncserver/usr/share/man/man1/Xvnc.1x
	install -o root -g root -m 644 Xvnc/programs/Xserver/Xvnc.man \
		$(CURDIR)/debian/vncserver/usr/share/man/man1/Xrealvnc.1

# libvncauth0
	install -o root -g root -m 644 rfb/libvncauth.so.0.0 \
		$(CURDIR)/debian/libvncauth0/usr/lib

# libvncauth-dev
	# Now moved to rfb dir.
	install -o root -g root -m 644 rfb/vncauth.h \
		$(CURDIR)/debian/libvncauth-dev/usr/include
	install -o root -g root -m 644 rfb/libvncauth.a \
		$(CURDIR)/debian/libvncauth-dev/usr/lib

# xvncviewer
	install -o root -g root -m 755 vncviewer/vncviewer \
		$(CURDIR)/debian/xvncviewer/usr/bin/xrealvncviewer
#	install -o root -g root -m 644 vncviewer/Vncviewer \
#		$(CURDIR)/debian/xvncviewer/usr/X11R6/lib/X11/app-defaults/Xvncviewer
	install -o root -g root -m 644 vncviewer/Vncviewer.ad \
		$(CURDIR)/debian/xvncviewer/etc/X11/app-defaults/Xvncviewer
#	install -o root -g root -m 644 debian/xvncviewer.1x \
#		$(CURDIR)/debian/xvncviewer/usr/share/man/man1/xrealvncviewer.1x
	install -o root -g root -m 644 vncviewer/vncviewer.man \
		$(CURDIR)/debian/xvncviewer/usr/share/man/man1/xrealvncviewer.1

#	dh_movefiles

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install

binary-indep-keep:
	dh_testdir -i
	dh_testroot -i
#	dh_installdebconf -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installmenu -i
#	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
	dh_installcron -i
#	dh_installman -i
	dh_installinfo -i
#	dh_undocumented -i
	dh_installchangelogs  -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_perl -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
#	dh_installdebconf -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installmenu -a
#	dh_installlogrotate -a
#	dh_installemacsen -a
#	dh_installpam -a
#	dh_installmime -a
#	dh_installinit -a
	dh_installcron -a
#	dh_installman -a
	dh_installinfo -a
#	dh_undocumented -a
	dh_installchangelogs  -a
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_perl -a
#	dh_shlibdeps -a
	dh_shlibdeps -l `pwd`/debian/libvncauth0/usr/lib -- -Ldebian/libvncauth0/DEBIAN/shlibs
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
